NativeTestSuiteBinarySpec (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.nativeplatform.test

## [Java] Interface NativeTestSuiteBinarySpec

- org.gradle.api.BuildableModelElement

- All Superinterfaces:
    BinarySpec, Buildable, Named, TestSuiteBinarySpec, NativeBinarySpec, BuildableModelElement

  An executable which runs a suite of tests.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `interface` | `NativeTestSuiteBinarySpec.TasksCollection` | Provides access to key tasks used for building the binary.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `NativeTestSuiteSpec` | `getComponent()`
    `NativeExecutableFileSpec` | `getExecutable()`
    `File` | `getExecutableFile()` The executable file.
    `NativeInstallationSpec` | `getInstallation()`
    `NativeTestSuiteBinarySpec.TasksCollection` | `getTasks()` {@inheritDoc}
    `NativeTestSuiteSpec` | `getTestSuite()` {@inheritDoc}
    `NativeBinarySpec` | `getTestedBinary()` The tested binary.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface NativeBinarySpec` | `getAssembler, getBuildType, getComponent, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, getcCompiler, lib`
    `interface TestSuiteBinarySpec` | `getTestSuite`

- - ### Method Detail

    - #### @Override public NativeTestSuiteSpec getComponent()

    - #### public NativeExecutableFileSpec getExecutable()

    - #### public File getExecutableFile()

      The executable file.

    - #### public NativeInstallationSpec getInstallation()

    - #### @Override public NativeTestSuiteBinarySpec.TasksCollection getTasks()

      {@inheritDoc}

    - #### @Override public NativeTestSuiteSpec getTestSuite()

      {@inheritDoc}

    - #### public NativeBinarySpec getTestedBinary()

      The tested binary.